> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /linkedin/search/companies

> Linkedin Search Companies

**Price:** 1 credit per 10 results



## OpenAPI

````yaml /openapi/professional-network.json post /api/linkedin/search/companies
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/linkedin/search/companies:
    post:
      tags:
        - LinkedIn Search
      summary: /linkedin/search/companies
      description: |-
        Linkedin Search Companies

        **Price:** 1 credit per 10 results
      operationId: __api_linkedin_search_companies_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/LinkedinSearchCompaniesPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/LinkedinSearchCompany'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    LinkedinSearchCompaniesPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        keywords:
          type: string
          default: ''
        location:
          anyOf:
            - items:
                $ref: '#/components/schemas/LinkedinURN_Literal_geo__'
              type: array
              uniqueItems: true
            - type: string
          default: []
        industry:
          anyOf:
            - items:
                $ref: '#/components/schemas/LinkedinURN_Literal_industry__'
              type: array
              uniqueItems: true
            - type: string
          default: []
        employee_count:
          items:
            $ref: '#/components/schemas/EmployeeCount'
          type: array
          uniqueItems: true
          default: []
        count:
          type: integer
          maximum: 1000
          exclusiveMinimum: 0
      type: object
      required:
        - count
    LinkedinSearchCompany:
      properties:
        '@type':
          type: string
          default: LinkedinSearchCompany
        urn:
          $ref: '#/components/schemas/LinkedinURN'
        name:
          type: string
        url:
          type: string
        alias:
          type: string
        image:
          anyOf:
            - type: string
            - type: 'null'
        industry:
          anyOf:
            - type: string
            - type: 'null'
      type: object
      required:
        - urn
        - name
        - url
        - alias
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    LinkedinURN_Literal_geo__:
      properties:
        type:
          type: string
          const: geo
        value:
          type: string
      type: object
      required:
        - type
        - value
    LinkedinURN_Literal_industry__:
      properties:
        type:
          type: string
          const: industry
        value:
          type: string
      type: object
      required:
        - type
        - value
    EmployeeCount:
      type: string
      enum:
        - 1-10
        - 11-50
        - 51-200
        - 201-500
        - 501-1000
        - 1001-5000
        - 5001-10000
        - 10001+
    LinkedinURN:
      properties:
        type:
          $ref: '#/components/schemas/LinkedinURNPrefix'
        value:
          type: string
      type: object
      required:
        - type
        - value
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
    LinkedinURNPrefix:
      type: string
      enum:
        - fsd_company
        - fsd_group
        - fsd_profile
        - fsd_skill
        - activity
        - comment
        - company
        - group
        - geo
        - pulse
        - member
        - industry
        - ugcPost
        - job
        - message
        - conversation
        - media
        - share
        - linkedInArticle
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````